Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.query
Interface ExtrinsicObjectQueryType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, RegistryEntryQueryType, RegistryObjectQueryType

All Known Implementing Classes:
  ExtrinsicObjectQueryTypeImpl

    public interface ExtrinsicObjectQueryType

extends RegistryEntryQueryType

A representation of the model object 'Extrinsic Object Query Type'.

The following features are supported:

- `Extrinsic Object Filter`

See Also:
  `QueryPackage.getExtrinsicObjectQueryType()`

Method Summary
`FilterType` | `getExtrinsicObjectFilter()` Returns the value of the 'Extrinsic Object Filter' containment reference.
`void` | `setExtrinsicObjectFilter(FilterType value)` Sets the value of the '`Extrinsic Object Filter`' containment reference.

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._2._1.query.RegistryEntryQueryType
`getRegistryEntryFilter, setRegistryEntryFilter`

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._2._1.query.RegistryObjectQueryType
`getAuditableEventQuery, getClassifiedByBranch, getDescriptionBranch, getExternalIdentifierFilter, getNameBranch, getRegistryObjectFilter, getSlotBranch, getSourceAssociationBranch, getTargetAssociationBranch, setDescriptionBranch, setNameBranch, setRegistryObjectFilter`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getExtrinsicObjectFilter

    FilterType getExtrinsicObjectFilter()

  Returns the value of the 'Extrinsic Object Filter' containment reference.

  If the meaning of the 'Extrinsic Object Filter' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Extrinsic Object Filter' containment reference.
  See Also:
    `setExtrinsicObjectFilter(FilterType)`, `QueryPackage.getExtrinsicObjectQueryType_ExtrinsicObjectFilter()`

### setExtrinsicObjectFilter

    void setExtrinsicObjectFilter(FilterType value)

  Sets the value of the '`Extrinsic Object Filter`' containment reference.

  Parameters:
    `value` - the new value of the 'Extrinsic Object Filter' containment reference.
  See Also:
    `getExtrinsicObjectFilter()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD